#include "funcs.h"

namespace tbplas::base {

double conj_t(const double& t) { return t; }

complex_t conj_t(const complex_t& t) { return std::conj(t); }

double real_part(const double& t) { return t; }

double real_part(const complex_t& t) { return t.real(); }

double imag_part(const double& t) { return 0.0; }

double imag_part(const complex_t& t) { return t.imag(); }

complex_t exp_it(const double& t) { return { cos(t), sin(t) }; }

} // namespace tbplas::base